

/* 
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Patrick Boenzli
   co-programmer: 
*/


#include "story_entity.h"


using namespace std;



StoryEntity::StoryEntity () {}
StoryEntity::~StoryEntity () {}


/** 
    \brief initialize the entity before use. 

    After execution of this function, the Entity is ready to be played/executed, 
    this shifts the initialisation work before the execution - very important...
    
*/
Error StoryEntity::init()
{}


void StoryEntity::setStoryID(Uint32 storyID)
{
  this->storyID = storyID;
}

int StoryEntity::getStoryID()
{
  return this->storyID;
}


void StoryEntity::setNextStoryID(Uint32 nextStoryID)
{
  this->nextStoryID = nextStoryID;
}

Uint32 StoryEntity::getNextStoryID()
{
  return this->nextStoryID;
}


Error StoryEntity::start(Uint32 storyID)
{}

Error StoryEntity::start()
{}

Error StoryEntity::stop()
{}

Error StoryEntity::pause()
{}

Error StoryEntity::resume()
{}


void StoryEntity::load()
{}


void StoryEntity::displayEntityScreen()
{}

void StoryEntity::releaseEntityScreen()
{}
