
#ifndef STORY_ENTITY_H
#define STORY_ENTITY_H

#include "stdincl.h"
#include "story_def.h"

class StoryEntity {

 public:
  StoryEntity ();
  ~StoryEntity ();

  bool isInit;
  bool isPaused;

  virtual Error init();
  virtual Error start(Uint32 storyID);
  virtual Error start();
  virtual Error stop();
  virtual Error pause();
  virtual Error resume();

  virtual void load();

  virtual void displayEntityScreen();
  virtual void releaseEntityScreen();

  void setStoryID(Uint32 storyID);
  int getStoryID();

  void setNextStoryID(Uint32 nextStoryID);
  Uint32 getNextStoryID();


 private:
  Uint32 storyID;
  Uint32 nextStoryID;
};

#endif
